package com.aegir.demo.model;

/**
 * Created by jveach on 12/21/2017.
 */

public class BaseFloorItem {

    private String name;

    private boolean isBuilding;
    protected Integer number;

    public BaseFloorItem(String name, int number) {
        this.name = name;
        this.isBuilding = true;
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public boolean isBuilding() {
        return isBuilding;
    }

    public void setIsBuilding(boolean building) {
        isBuilding = building;
    }

    /**
     *
     * @return the floors ordinal
     */
    public Integer getNumber() {
        return number;
    }

    /**
     *
     * @param number the new number
     */
    public void setNumber(Integer number) {
        this.number = number;
    }

}
